<?php
/**
@brief シンプルなステータスマスタの DataObject
@author minahito
@version $Id: status.php,v 1.1 2004/07/26 10:29:12 minahito Exp $
*/

require_once "xoops/class.object.php";

class bxPartyStatusObject extends exXoopsObject {
	function bxPartyStatusObject($id=null)
	{
		$this->initVar('id', XOBJ_DTYPE_INT, 0, true);
		$this->initVar('name', XOBJ_DTYPE_TXTBOX, null, true, 64);
		$this->initVar('ex', XOBJ_DTYPE_TXTAREA, null, false, null);
		$this->initVar('priority', XOBJ_DTYPE_INT, 0, true);
		$this->initVar('type', XOBJ_DTYPE_INT, 0, true);

		if ( is_array ( $id ) )
			$this->assignVars ( $id );
	}

	/**
	このオブジェクトとデーターベースとの接続方法を返す
	*/
	function &getTableInfo()
	{
		$tinfo = new exTableInfomation('bxparty_status','id');
		return ($tinfo);
	}
}

?>